Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 468111 - Determination of outranking channels does not take file into account
Summary: Determination of outranking channels does not take file into account
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Dobies
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-10-22 21:06 UTC by Jason Dobies
Modified: 2009-11-17 09:14 UTC (History)
1 user (show)

Fixed In Version: space03
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:08 UTC


Attachments (Terms of Use)

Description Jason Dobies 2008-10-22 21:06:29 UTC
Target: 
Deploy a file (which is part of a configuration channel) to a system, which is subscribed to more than one config-channel. The config-channel which includes the file is _not_ the highest ranked channel, but none of the higher ranked channels includes the "same" file (same path and filename) / another version of the file. 
 
Problem: 
You can not deploy an individual file to a system, which is subscribed to other higher-ranked channels, even if those channels do not contain the same file (which would override the file to be deployed). 
 
 
Step-by-Step: 
1. Click on the "Configuration"-Tab and then on the "Configuration Channels" item in the sidebar. 
2. Choose a config-channel and click on "Deploy Files" in the sub-navigation. 
3. Click on one of the file names (e.g. /etc/ntp.conf)  (-- DO NOT MISS this step.)
4. Click on "Deploy File" (see 1_Deploy_File.jpg) 
5. Please notice, that the checkbox for e.g. bv-test02 is greyed out, because there is "1 central override". 
6. Click on "Modify rank" and you will see the channels the system is subscribed to (see 2_Subscribed_Channels.jpg) 
7. You can see that the system is subscribed to two channels, FMGbase (which contains the file we want to deploy) and star_ws. 
 
I can not select the system to deploy the file, because there is a higher ranked channel. But this higher ranked channel doesn't even contain the "same" file (here /etc/ntp.conf), so this shouldn't be a problem. 
 
It seems that the satellite is only checking if there's a higher ranked channel. What it really should do in this situation is to check 
* if there is a higher ranked channel 
* AND if that higher ranked channel contains the "same file". 
 
Only then it should prohibit the deploy of the file. 
 
On the other hand if you choose the Config channel, click on "Deploy Files", directly select the desired file(s) (see screenshot 3_ConfigChannel_File_Deploy.jpg) and click on the "Deploy Selected Files" button, you can  
* choose the system  
* the systems with higher ranked channels are not greyed out 
* and the deploy of the file works as expected.

Comment 1 Jason Dobies 2008-10-22 21:09:57 UTC
config_queries.xml
- Updated the query to only count a channel as outranking if it contains the same file; previously it counted all channels with a lower position.

Git Tree: 748ccc4a0a0df8dce3305a9ae737cc6c90571d43


Note You need to log in before you can comment on or make changes to this bug.